
CoCoALib - Feature #41

Feature # 39 (Closed): Squarefree factorization

Squarefree factorization - overhead

30 Nov 2011 16:19 - John Abbott

Status: Closed Start date: 30 Nov 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 22.00 hours

Description

Management and sundry other tasks related to the implementation of squarefree factorization

History

#1 - 30 Nov 2011 16:21 - John Abbott

Managing redmine.

Meeting with d'Ali`; also emails etc.

Writing first draft of CoCoA report on squarefree factorization.

#2 - 06 Dec 2011 14:14 - John Abbott

Weekly meeting with D'Ali`.

His impl of Bernardin's method is largely complete, and seems to work fine in tests.

Alessio will investigate the question of making the polynomial primitive: is it necessary for correctness or just useful for computation speed?

#3 - 20 Dec 2011 12:20 - John Abbott

For details see the task specific to D'Ali's contributions.

At some point JAA may translate D'Ali`'s implementation into C++.

#4 - 21 May 2012 11:50 - John Abbott

Oh dear, I keep forgetting to log time here.  I'll just make a guess.

#5 - 23 Oct 2013 20:37 - John Abbott

- Status changed from New to Closed

- % Done changed from 0 to 100

Task is essentially finished now that d'Ali's code has been ported.

Closing.

#6 - 29 Oct 2013 12:32 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99531
